All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.dataselectors
Class AdvancedFilterSelectorCommandFacade

    com.sas.commands.dataselectors.AdvancedFilterSelectorCommandFacade

All Implemented Interfaces:
  CommandStatusInterface, CommandSupportedInterface, CancelInterface, CompositeDynamicAttributeCommandInterface, ContentsChangedInterface, CompositeDataSelectorCommandInterface, DataSelectorCommandInterface, DynamicAttributeCommandInterface, PendingCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class AdvancedFilterSelectorCommandFacade

implements CompositeDynamicAttributeCommandInterface, CommandSupportedInterface, CommandStatusInterface, CompositeDataSelectorCommandInterface

This class is a facade that unifies the functionalities of the AdvancedFilterSelectorCommand plus the additional filtering funcionalities provided by the OLAPTimeBasedFilterCommand. This class is intended to be used in place of the existing AdvancedFilterSelectorCommand. It's an extended version of the existing AdvancedFilterSelectorCommand without subclassing the it.

Field Summary
`static java.lang.String` | `ADVANCED_FILTER_SELECTOR_COMMAND`
`protected boolean` | `isImportOLAPRelativeTimeFilter`
`static java.lang.String` | `OLAP_TIME_BASED_FILTER_COMMAND`
`protected java.util.Map` | `selectorCommands` The list of filtering selector commands unified by this facade, example the AdvancedFilterSelectorCommand and the OLAPTimeBasedFilterCommand
`protected boolean` | `swing`

Fields inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`actionClass, CANCEL_MODE, COMMIT_MODE, complete, contentsChanged, eventInfo, eventSource, modal, mode, model, PROCESS_MODE, selector, selectorModel, SHOW_MODE`

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`AdvancedFilterSelectorCommandFacade()` The default constructor for this command.
`AdvancedFilterSelectorCommandFacade(java.lang.String name)` Constructor that accepts a command name
`AdvancedFilterSelectorCommandFacade(java.lang.String name, boolean swing)` Constructor that accepts a command name and boolean attribute for specifying the swing attribute.
`AdvancedFilterSelectorCommandFacade(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type

Method Summary
`void` | `cancel()` Cancels the command.
`void` | `cancel(java.lang.Object o)` The cancel method resets the model to its original state and hides or destroys the selector visual.
`protected void` | `commit(java.lang.Object o)` The commit method alters the original model to reflect any changes made by the user and hides or destroys the selector visual.
`java.lang.String` | `getAction()` Returns the current action of the AdvancedFilterSelectorCommand command.
`java.lang.String` | `getAddFilter()` Returns the ADD_ACTION
`java.lang.String` | `getAndFilter()` Returns the AND_ACTION
`java.lang.String` | `getClearAllFilter()` Returns the clearAllFilter action value
`java.lang.String` | `getClearFilter()` Returns the clearFilter action value.
`java.util.Collection` | `getCommandAttributeNames()` Returns a collection containing the names of all the composite command's dynamic attributes.
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a status value indicating whether the command is enabled for a specific area as described by various filter attributes.
`BaseSelectorCommand` | `getComponentSelectorCommand(java.lang.String key)` Returns the child data selector command that has been stored into the children's list with a specific key
`java.lang.String` | `getDeleteAllFilters()` Returns the DELETEALL_ACTION
`java.lang.String` | `getDeleteFilter()` Returns the DELETE_ACTION
`java.lang.String` | `getDownFilter()` Returns the DOWN_ACTION
`java.lang.String` | `getEditFilter()` Returns the EDIT_ACTION
`java.lang.String` | `getEndCalendar()` Return the end calendar value
`java.lang.String` | `getEndingPeriodOption()`
`java.util.HashMap` | `getEventInfo()` Returns a HashMap with information about the pending ContentsChangedEvent or null if no event is pending.
`java.lang.Object` | `getEventSource()` Returns the source of a pending ContentsChangedEvent event.
`java.lang.String` | `getFilterDescription()` Gets the current filter description from the selection model.
`java.lang.String` | `getFilterItem()` Returns the filter item from the AdvancedFilterSelectorCommand
`java.util.Map` | `getFilterItemMap()` Gets the map for the FilterItemInterface instances in the data model.
`java.lang.String` | `getFilterName()` Gets the current filter name from the selection model.
`java.lang.String` | `getFilterOperator()` Returns the filter operator
`java.lang.String` | `getFilterQualifier()` Returns the filter qualifier value
`java.lang.String` | `getFilterValue()` Returns the filter value.
`java.lang.String` | `getFilterValueMax()` Returns the maximum filter value
`java.lang.String` | `getFilterValueMaxText()` Returns the maximum filter value
`java.lang.String` | `getFilterValueMin()` Returns the minimum filter value.
`java.lang.String` | `getFilterValueMinText()` Returns the minimum filter value.
`java.lang.String` | `getFilterValueText()` Returns the filter value for the text entry.
`java.lang.String` | `getFilterValueTyped()` Returns the typed filter value
`java.lang.String` | `getGroupFilter()` Returns the GROUP_ACTION
`java.lang.String` | `getImportFilter()`
`java.lang.String` | `getNotFilter()` Returns the NOT_ACTION
`java.lang.String` | `getNumberOfPeriods()`
`java.lang.String` | `getOlapOkAction()` Returns the OLAPOK_ACTION
`java.lang.String` | `getOrFilter()` Returns the OR_ACTION
`java.lang.String` | `getPendingAction()`
`java.lang.String` | `getPeriodType()`
`java.lang.String[]` | `getQualifiedMeasure()` Returns the qualified measure value used when the model is OLAP
`java.lang.String` | `getQualifierMode()` Returns the OLAPOK_ACTION
`java.lang.String` | `getRemoteAction()`
`java.lang.String` | `getSelectedCondition()`
`java.lang.String` | `getSelectedEndingPeriod()`
`java.lang.String[]` | `getSelectedFilterValues()` Returns the selected filter values
`java.lang.String[]` | `getSelectedPeriods()`
`java.lang.String` | `getSelectedQualifier()` Returns the selected qualifier
`java.lang.String` | `getSelectedStartingPeriod()`
`java.lang.String` | `getSelectOption()`
`java.lang.String` | `getShowOption()`
`java.lang.String` | `getSplitFilter()` Returns the OLAPOK_ACTION
`java.lang.String` | `getStartCalendar()` Return the start calendar value
`java.lang.String` | `getStartingPeriodOption()`
`java.lang.String` | `getTypedFilterValueMax()` Returns the typed maximum filter value.
`java.lang.String` | `getTypedFilterValueMin()` Returns the typed filter minimum value.
`java.lang.String` | `getTypedFilterValues()` Returns the typed filter values
`java.lang.String` | `getUpdateFilter()` Returns the UPDATE_FILTER action.
`java.lang.String` | `getUpFilter()` Returns the UP_ACTION
`java.lang.String` | `getValueEntryType()`
`java.lang.String` | `getValueListItem()` Returns the filter value list
`java.lang.String` | `getValuePickerUpdateAction()` Returns the OLAPOK_ACTION
`java.lang.String` | `getWhereCheckbox()`
`boolean` | `isComplete()` Returns a boolean indicating whether the command has been explicitly committed or cancelled.
`boolean` | `isContentsChanged()` Returns true if a ContentsChangedEvent should be generated, false otherwise.
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.
`boolean` | `isSwing()` Returns the property identifying whether or not this command is operating in the Swing environment.
`protected void` | `process(java.lang.Object o)` Processes the request object to manipulate the model.
`void` | `setAction(java.lang.String value)` Sets the current action of the AdvancedFilterSelectorCommand command.
`void` | `setAddFilter(java.lang.String value)` Sets pendingAction to ADD_ACTION
`void` | `setAndFilter(java.lang.String value)` Sets pendingAction to AND_ACTION
`void` | `setClearAllFilter(java.lang.String value)` Sets the CLEARALL_ACTION as the pending action.
`void` | `setClearFilter(java.lang.String value)` Sets the CLEAR_ACTION as the pending action.
`void` | `setCommonAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets the specified attribute on all sub-commands.
`void` | `setComplete(boolean complete)` Set the boolean indicating whether the command has been explicitly committed or cancelled.
`void` | `setComponentSelectorCommand(BaseSelectorCommand component, java.lang.String key)` Adds a data selector command to the list of children commands with a specific key
`void` | `setDeleteAllFilters(java.lang.String value)` Sets pendingAction to DELETEALL_ACTION
`void` | `setDeleteFilter(java.lang.String value)` Sets pendingAction to DELETE_ACTION
`void` | `setDownFilter(java.lang.String value)` Sets pendingAction to DOWN_ACTION
`void` | `setEditFilter(java.lang.String value)` Sets pendingAction to EDIT_ACTION
`void` | `setEndCalendar(java.lang.String value)` Sets the end calendar value
`void` | `setEndingPeriodOption(java.lang.String value)`
`void` | `setFilterDescription(java.lang.String value)` Sets the filter description in the selection model.
`void` | `setFilterItem(java.lang.String value)` Sets the filter item
`void` | `setFilterItemMap(java.util.List value)` Sets the map for the FilterItemInterface instances in the data model.
`void` | `setFilterName(java.lang.String value)` Sets the filter name in the selection model.
`void` | `setFilterOperator(java.lang.String value)` Sets the filter operator value
`void` | `setFilterQualifier(java.lang.String value)` Sets the filter qualifier values
`void` | `setFilterValue(java.lang.String value)` Sets the filter value
`void` | `setFilterValueMax(java.lang.String value)` Sets the maximum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueMaxText(java.lang.String value)` Sets the maximum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueMin(java.lang.String value)` Sets the minimum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueMinText(java.lang.String value)` Sets the minimum filter value when condition is `In Between` or `Not In Between`
`void` | `setFilterValueText(java.lang.String value)` Sets the filter value for the text entry.
`void` | `setFilterValueTyped(java.lang.String value)` Sets the typed filter values
`void` | `setGroupFilter(java.lang.String value)` Sets pendingAction to GROUP_ACTION
`void` | `setImportFilter(java.lang.String value)`
`void` | `setModal(boolean modal)`
`void` | `setMode(java.lang.String value)` Sets the mode of execution for this command.
`void` | `setModel(java.lang.Object model)` Sets the data model being viewed or manipulated by the selector.
`void` | `setNotFilter(java.lang.String value)` Sets pendingAction to NOT_ACTION
`void` | `setNumberOfPeriods(java.lang.String value)`
`void` | `setOlapOkAction(java.lang.String value)` Sets pendingAction to OLAPOK_ACTION
`void` | `setOrFilter(java.lang.String value)` Sets pendingAction to OR_ACTION
`void` | `setPendingAction(java.lang.String value)`
`void` | `setPeriodType(java.lang.String value)`
`void` | `setQualifiedMeasure(java.lang.String[] value)` Sets qualified measures
`void` | `setQualifierMode(java.lang.String value)` Sets pendingAction to QUALIFIER_ACTION
`void` | `setRemoteAction(java.lang.String value)`
`void` | `setSelectedCondition(java.lang.String value)`
`void` | `setSelectedEndingPeriod(java.lang.String value)`
`void` | `setSelectedFilterValues(java.lang.String[] value)` Sets the selected filter values
`void` | `setSelectedPeriods(java.lang.String[] values)`
`void` | `setSelectedQualifier(java.lang.String value)` Sets the selected qualifier on the command
`void` | `setSelectedStartingPeriod(java.lang.String value)`
`void` | `setSelectOption(java.lang.String value)`
`void` | `setSelector(DataSelectorInterface value)` Sets the command's reference to it's parent selector.
`void` | `setShowOption(java.lang.String value)`
`void` | `setSplitFilter(java.lang.String value)` Sets pendingAction to SPLIT_ACTION
`void` | `setStartCalendar(java.lang.String value)` Sets the start calendar value
`void` | `setStartingPeriodOption(java.lang.String value)`
`void` | `setSwing(boolean mode)` Sets the property identifying whether or not this command is operating in the Swing environment.
`void` | `setTypedFilterValueMax(java.lang.String value)` Sets the typed filter maximum value
`void` | `setTypedFilterValueMin(java.lang.String value)` Sets the typed minimum filter value.
`void` | `setTypedFilterValues(java.lang.String value)` Sets the typed filter values
`void` | `setUpdateFilter(java.lang.String value)` Sets pendingAction to UPDATE_ACTION
`void` | `setUpFilter(java.lang.String value)` Sets pendingAction to UP_ACTION
`void` | `setValueEntryType(java.lang.String value)`
`void` | `setValueListItem(java.lang.String value)` Sets the filter value list.
`void` | `setValuePickerUpdateAction(java.lang.String value)` Sets pendingAction to OLAPOK_ACTION
`void` | `setWhereCheckbox(java.lang.String value)` Sets the state value for the 'where' checkbox.
`protected void` | `show(java.lang.Object o)` Creates the initial selector model from the stored data model and supplies it to the associated selector.
`boolean` | `updateSelectionCombination(AdvancedFilterModelInterface afsModel, FilterLogicEditableTestNodeInterface changableSelection, FilterLogicTestNodeObjectMap objectMap)` Updates the model with the combination actions such as ADD_ACTION, DELETE_ACTION, UPDATE_ACTION, EDIT_ACTION, MOVEUP_ACTION, MOVEDOWN_ACTION, GROUP_ACTION and SPLIT_ACTION.
`boolean` | `updateSelectionModel()` Updates the current selection model with the selector's value

Methods inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`closeSelector, execute, getMode, getModel, getSelector, getSelectorModel, isModal, setSelectorModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### ADVANCED_FILTER_SELECTOR_COMMAND

    public static final java.lang.String ADVANCED_FILTER_SELECTOR_COMMAND

See Also:
  Constant Field Values

### OLAP_TIME_BASED_FILTER_COMMAND

    public static final java.lang.String OLAP_TIME_BASED_FILTER_COMMAND

See Also:
  Constant Field Values

### selectorCommands

    protected java.util.Map selectorCommands

  The list of filtering selector commands unified by this facade, example the AdvancedFilterSelectorCommand and the OLAPTimeBasedFilterCommand

### swing

    protected boolean swing

### isImportOLAPRelativeTimeFilter

    protected boolean isImportOLAPRelativeTimeFilter

Constructor Detail

### AdvancedFilterSelectorCommandFacade

    public AdvancedFilterSelectorCommandFacade()

  The default constructor for this command.

### AdvancedFilterSelectorCommandFacade

    public AdvancedFilterSelectorCommandFacade(java.lang.String name)

  Constructor that accepts a command name

### AdvancedFilterSelectorCommandFacade

    public AdvancedFilterSelectorCommandFacade(java.lang.String name,
                                               java.lang.String actionClass)

  Constructor that accepts a command name and an action class type

### AdvancedFilterSelectorCommandFacade

    public AdvancedFilterSelectorCommandFacade(java.lang.String name,
                                               boolean swing)

  Constructor that accepts a command name and boolean attribute for specifying the swing attribute.

  Parameters:
    `name` - the command's name
    `swing` - true if command used in a Swing environment, false otherwise;

Method Detail

### setSwing

    public void setSwing(boolean mode)

  Sets the property identifying whether or not this command is operating in the Swing environment.

  Parameters:
    `mode` - Set to true for Swing environment, false otherwise.

### isSwing

    public boolean isSwing()

  Returns the property identifying whether or not this command is operating in the Swing environment.

  Returns:
    Returns true for Swing environment, false otherwise.

### isContentsChanged

    public boolean isContentsChanged()

  Description copied from class: `BaseSelectorCommand`
  Returns true if a ContentsChangedEvent should be generated, false otherwise.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Overrides:
    `isContentsChanged` in class `BaseSelectorCommand`
  Returns:
    true if a ContentsChangedEvent should be generated, false otherwise.

### isComplete

    public boolean isComplete()

  Description copied from class: `BaseSelectorCommand`
  Returns a boolean indicating whether the command has been explicitly committed or cancelled.

  Specified by:
    `isComplete` in interface `PendingCommandInterface`
  Overrides:
    `isComplete` in class `BaseSelectorCommand`
  Returns:
    a boolean indicating whether the command has been explicitly committed or cancelled.

### setMode

    public void setMode(java.lang.String value)

  Description copied from class: `BaseSelectorCommand`
  Sets the mode of execution for this command. The mode is evaluated during the execute() method to determine what code in the command to process. Modes supported by this base implementation are defined as the constants SHOW_MODE, PROCESS_MODE, COMMIT_MODE, and CANCEL_MODE.

  Overrides:
    `setMode` in class `BaseSelectorCommand`
  Parameters:
    `value` - the mode for this command

### setModal

    public void setModal(boolean modal)

  Overrides:
    `setModal` in class `BaseSelectorCommand`

### setComplete

    public void setComplete(boolean complete)

  Description copied from class: `BaseSelectorCommand`
  Set the boolean indicating whether the command has been explicitly committed or cancelled.

  Overrides:
    `setComplete` in class `BaseSelectorCommand`
  Parameters:
    `complete` - the boolean indicating whether the command has been explicitly committed or cancelled.

### setModel

    public void setModel(java.lang.Object model)

  Description copied from class: `BaseSelectorCommand`
  Sets the data model being viewed or manipulated by the selector.

  Specified by:
    `setModel` in interface `DataSelectorCommandInterface`
  Overrides:
    `setModel` in class `BaseSelectorCommand`
  Parameters:
    `model` - the model

### setSelector

    public void setSelector(DataSelectorInterface value)

  Description copied from class: `BaseSelectorCommand`
  Sets the command's reference to it's parent selector.

  Specified by:
    `setSelector` in interface `DataSelectorCommandInterface`
  Overrides:
    `setSelector` in class `BaseSelectorCommand`
  Parameters:
    `value` - the selector associated with this command

### show

    protected void show(java.lang.Object o)

  Creates the initial selector model from the stored data model and supplies it to the associated selector.

  Overrides:
    `show` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation

### process

    protected void process(java.lang.Object o)

  Processes the request object to manipulate the model. The selector then represents these changes for the user. Calls one or more of the process() methods of the unified commands.

  Overrides:
    `process` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation

### cancel

    public void cancel(java.lang.Object o)

  The cancel method resets the model to its original state and hides or destroys the selector visual.

  Overrides:
    `cancel` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation

### cancel

    public void cancel()

  Description copied from interface: `CancelInterface`
  Cancels the command.

  Common things done in this method:

  - Reset the command and/or the objects that this command holds.
  - Release objects for garbage collection

  Specified by:
    `cancel` in interface `CancelInterface`
  Overrides:
    `cancel` in class `BaseSelectorCommand`

### commit

    protected void commit(java.lang.Object o)
                   throws java.io.IOException

  The commit method alters the original model to reflect any changes made by the user and hides or destroys the selector visual.

  Overrides:
    `commit` in class `BaseSelectorCommand`
  Parameters:
    `o` - ignored in this implementation
  Throws:
    `java.io.IOException`

### getEventInfo

    public java.util.HashMap getEventInfo()

  Description copied from class: `BaseSelectorCommand`
  Returns a HashMap with information about the pending ContentsChangedEvent or null if no event is pending.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Overrides:
    `getEventInfo` in class `BaseSelectorCommand`
  Returns:
    event information

### getEventSource

    public java.lang.Object getEventSource()

  Description copied from class: `BaseSelectorCommand`
  Returns the source of a pending ContentsChangedEvent event. The source will be null if no event is pending.

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Overrides:
    `getEventSource` in class `BaseSelectorCommand`
  Returns:
    the source of the event

### getAction

    public java.lang.String getAction()

  Returns the current action of the AdvancedFilterSelectorCommand command.

  Returns:
    the current action

### setAction

    public void setAction(java.lang.String value)

  Sets the current action of the AdvancedFilterSelectorCommand command.

  Parameters:
    `value` - the action being executed

### getAddFilter

    public java.lang.String getAddFilter()

  Returns the ADD_ACTION

  Returns:
    NULL

### setAddFilter

    public void setAddFilter(java.lang.String value)

  Sets pendingAction to ADD_ACTION

  Parameters:
    `value` - pendingAction value

### getAndFilter

    public java.lang.String getAndFilter()

  Returns the AND_ACTION

  Returns:
    NULL

### setAndFilter

    public void setAndFilter(java.lang.String value)

  Sets pendingAction to AND_ACTION

  Parameters:
    `value` - pendingAction value

### getClearAllFilter

    public java.lang.String getClearAllFilter()

  Returns the clearAllFilter action value

  Returns:
    null

### setClearAllFilter

    public void setClearAllFilter(java.lang.String value)

  Sets the CLEARALL_ACTION as the pending action.

  Parameters:
    `value` -

### getClearFilter

    public java.lang.String getClearFilter()

  Returns the clearFilter action value.

  Returns:
    null

### setClearFilter

    public void setClearFilter(java.lang.String value)

  Sets the CLEAR_ACTION as the pending action.

  Parameters:
    `value` - the CLEAR_ACTION value

### getDeleteAllFilters

    public java.lang.String getDeleteAllFilters()

  Returns the DELETEALL_ACTION

  Returns:
    NULL

### setDeleteAllFilters

    public void setDeleteAllFilters(java.lang.String value)

  Sets pendingAction to DELETEALL_ACTION

  Parameters:
    `value` - a dummy value

### getDeleteFilter

    public java.lang.String getDeleteFilter()

  Returns the DELETE_ACTION

  Returns:
    NULL

### setDeleteFilter

    public void setDeleteFilter(java.lang.String value)

  Sets pendingAction to DELETE_ACTION

  Parameters:
    `value` - a dummy value

### getDownFilter

    public java.lang.String getDownFilter()

  Returns the DOWN_ACTION

  Returns:
    NULL

### setDownFilter

    public void setDownFilter(java.lang.String value)

  Sets pendingAction to DOWN_ACTION

  Parameters:
    `value` - pendingAction value

### getEditFilter

    public java.lang.String getEditFilter()

  Returns the EDIT_ACTION

  Returns:
    NULL

### setEditFilter

    public void setEditFilter(java.lang.String value)

  Sets pendingAction to EDIT_ACTION

  Parameters:
    `value` - pendingAction value

### getEndCalendar

    public java.lang.String getEndCalendar()

  Return the end calendar value

  Returns:
    endCalendar value

### setEndCalendar

    public void setEndCalendar(java.lang.String value)

  Sets the end calendar value

  Parameters:
    `value` - end calendar

### getFilterDescription

    public java.lang.String getFilterDescription()

  Gets the current filter description from the selection model.

  Returns:
    the description for the filter

### setFilterDescription

    public void setFilterDescription(java.lang.String value)

  Sets the filter description in the selection model.

  Parameters:
    `value` - the new filter description

### getFilterItem

    public java.lang.String getFilterItem()

  Returns the filter item from the AdvancedFilterSelectorCommand

  Returns:
    the filter item from the AdvancedFilterSelectorCommand.

### setFilterItem

    public void setFilterItem(java.lang.String value)

  Sets the filter item

  Parameters:
    `value` - filterItem unique id

### getFilterItemMap

    public java.util.Map getFilterItemMap()

  Gets the map for the FilterItemInterface instances in the data model.

  Returns:
    the FilterItemInterface map

### setFilterItemMap

    public void setFilterItemMap(java.util.List value)

  Sets the map for the FilterItemInterface instances in the data model.

  Parameters:
    `value` - the new FilterItemInterface map

### getFilterName

    public java.lang.String getFilterName()

  Gets the current filter name from the selection model.

  Returns:
    the name of the filter

### setFilterName

    public void setFilterName(java.lang.String value)

  Sets the filter name in the selection model.

  Parameters:
    `value` - the new filter name

### getFilterOperator

    public java.lang.String getFilterOperator()

  Returns the filter operator

  Returns:
    the filter operator value

### setFilterOperator

    public void setFilterOperator(java.lang.String value)

  Sets the filter operator value

  Parameters:
    `value` - filter operator

### getFilterQualifier

    public java.lang.String getFilterQualifier()

  Returns the filter qualifier value

  Returns:
    filter qualifier

### setFilterQualifier

    public void setFilterQualifier(java.lang.String value)

  Sets the filter qualifier values

  Parameters:
    `value` - filter qualifier

### getFilterValue

    public java.lang.String getFilterValue()

  Returns the filter value.

  Returns:
    NULL

### setFilterValue

    public void setFilterValue(java.lang.String value)

  Sets the filter value

  Parameters:
    `value` - filter value

### getFilterValueMax

    public java.lang.String getFilterValueMax()

  Returns the maximum filter value

  Returns:
    NULL

### setFilterValueMax

    public void setFilterValueMax(java.lang.String value)

  Sets the maximum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMaxText

    public java.lang.String getFilterValueMaxText()

  Returns the maximum filter value

  Returns:
    NULL

### setFilterValueMaxText

    public void setFilterValueMaxText(java.lang.String value)

  Sets the maximum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMin

    public java.lang.String getFilterValueMin()

  Returns the minimum filter value.

  Returns:
    the minimum filter value

### setFilterValueMin

    public void setFilterValueMin(java.lang.String value)

  Sets the minimum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueMinText

    public java.lang.String getFilterValueMinText()

  Returns the minimum filter value.

  Returns:
    the minimum filter value

### setFilterValueMinText

    public void setFilterValueMinText(java.lang.String value)

  Sets the minimum filter value when condition is `In Between` or `Not In Between`

  Parameters:
    `value` - the filter value

### getFilterValueText

    public java.lang.String getFilterValueText()

  Returns the filter value for the text entry.

  Returns:
    NULL

### setFilterValueText

    public void setFilterValueText(java.lang.String value)

  Sets the filter value for the text entry.

  Parameters:
    `value` - filter value

### getFilterValueTyped

    public java.lang.String getFilterValueTyped()

  Returns the typed filter value

  Returns:
    returns null

### setFilterValueTyped

    public void setFilterValueTyped(java.lang.String value)

  Sets the typed filter values

  Parameters:
    `value` - typed value

### getGroupFilter

    public java.lang.String getGroupFilter()

  Returns the GROUP_ACTION

  Returns:
    NULL

### setGroupFilter

    public void setGroupFilter(java.lang.String value)

  Sets pendingAction to GROUP_ACTION

  Parameters:
    `value` - pendingAction value

### getImportFilter

    public java.lang.String getImportFilter()

### setImportFilter

    public void setImportFilter(java.lang.String value)

### getNotFilter

    public java.lang.String getNotFilter()

  Returns the NOT_ACTION

  Returns:
    NULL

### setNotFilter

    public void setNotFilter(java.lang.String value)

  Sets pendingAction to NOT_ACTION

  Parameters:
    `value` - pendingAction value

### getValuePickerUpdateAction

    public java.lang.String getValuePickerUpdateAction()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setValuePickerUpdateAction

    public void setValuePickerUpdateAction(java.lang.String value)

  Sets pendingAction to OLAPOK_ACTION

  Parameters:
    `value` - pendingAction value

### getOlapOkAction

    public java.lang.String getOlapOkAction()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setOlapOkAction

    public void setOlapOkAction(java.lang.String value)

  Sets pendingAction to OLAPOK_ACTION

  Parameters:
    `value` - pendingAction value

### getOrFilter

    public java.lang.String getOrFilter()

  Returns the OR_ACTION

  Returns:
    NULL

### setOrFilter

    public void setOrFilter(java.lang.String value)

  Sets pendingAction to OR_ACTION

  Parameters:
    `value` - pendingAction value

### getPendingAction

    public java.lang.String getPendingAction()

### setPendingAction

    public void setPendingAction(java.lang.String value)

### getQualifiedMeasure

    public java.lang.String[] getQualifiedMeasure()

  Returns the qualified measure value used when the model is OLAP

  Returns:
    NULL

### setQualifiedMeasure

    public void setQualifiedMeasure(java.lang.String[] value)

  Sets qualified measures

  Parameters:
    `value` - qualified measures

### getQualifierMode

    public java.lang.String getQualifierMode()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setQualifierMode

    public void setQualifierMode(java.lang.String value)

  Sets pendingAction to QUALIFIER_ACTION

  Parameters:
    `value` - pendingAction value

### getSelectedCondition

    public java.lang.String getSelectedCondition()

### setSelectedCondition

    public void setSelectedCondition(java.lang.String value)

### getSelectedFilterValues

    public java.lang.String[] getSelectedFilterValues()

  Returns the selected filter values

  Returns:
    the selected filter values

### setSelectedFilterValues

    public void setSelectedFilterValues(java.lang.String[] value)

  Sets the selected filter values

  Parameters:
    `value` - filter values

### getSelectedQualifier

    public java.lang.String getSelectedQualifier()

  Returns the selected qualifier

  Returns:
    the qualifier value

### setSelectedQualifier

    public void setSelectedQualifier(java.lang.String value)

  Sets the selected qualifier on the command

  Parameters:
    `value` - the selected qualifier value

### getSplitFilter

    public java.lang.String getSplitFilter()

  Returns the OLAPOK_ACTION

  Returns:
    NULL

### setSplitFilter

    public void setSplitFilter(java.lang.String value)

  Sets pendingAction to SPLIT_ACTION

  Parameters:
    `value` - pendingAction value

### getStartCalendar

    public java.lang.String getStartCalendar()

  Return the start calendar value

  Returns:
    startCalendar value

### setStartCalendar

    public void setStartCalendar(java.lang.String value)

  Sets the start calendar value

  Parameters:
    `value` - start calendar

### getTypedFilterValueMax

    public java.lang.String getTypedFilterValueMax()

  Returns the typed maximum filter value.

  Returns:
    the filter maximum filter value

### setTypedFilterValueMax

    public void setTypedFilterValueMax(java.lang.String value)

  Sets the typed filter maximum value

  Parameters:
    `value` - the maximum value

### getTypedFilterValueMin

    public java.lang.String getTypedFilterValueMin()

  Returns the typed filter minimum value.

  Returns:
    NULL

### setTypedFilterValueMin

    public void setTypedFilterValueMin(java.lang.String value)

  Sets the typed minimum filter value.

  Parameters:
    `value` - the minimum filter value

### getTypedFilterValues

    public java.lang.String getTypedFilterValues()

  Returns the typed filter values

  Returns:
    NULL

### setTypedFilterValues

    public void setTypedFilterValues(java.lang.String value)

  Sets the typed filter values

  Parameters:
    `value` - filter values

### getUpdateFilter

    public java.lang.String getUpdateFilter()

  Returns the UPDATE_FILTER action.

  Returns:
    NULL

### setUpdateFilter

    public void setUpdateFilter(java.lang.String value)

  Sets pendingAction to UPDATE_ACTION

  Parameters:
    `value` - pendingAction value

### getUpFilter

    public java.lang.String getUpFilter()

  Returns the UP_ACTION

  Returns:
    NULL

### setUpFilter

    public void setUpFilter(java.lang.String value)

  Sets pendingAction to UP_ACTION

  Parameters:
    `value` - pendingAction value

### getValueEntryType

    public java.lang.String getValueEntryType()

### setValueEntryType

    public void setValueEntryType(java.lang.String value)

### getValueListItem

    public java.lang.String getValueListItem()

  Returns the filter value list

  Returns:
    null

### setValueListItem

    public void setValueListItem(java.lang.String value)

  Sets the filter value list.

  Parameters:
    `value` - filter value unique id

### updateSelectionCombination

    public boolean updateSelectionCombination(AdvancedFilterModelInterface afsModel,
                                              FilterLogicEditableTestNodeInterface changableSelection,
                                              FilterLogicTestNodeObjectMap objectMap)

  Updates the model with the combination actions such as ADD_ACTION, DELETE_ACTION, UPDATE_ACTION, EDIT_ACTION, MOVEUP_ACTION, MOVEDOWN_ACTION, GROUP_ACTION and SPLIT_ACTION.

  Parameters:
    `afsModel` - The AdvancedFilterModelInterface used for this command
    `changableSelection` - the editable test node
    `objectMap` - map containing the model information
  Returns:
    true if change has been made to the model, false otherwise

### updateSelectionModel

    public boolean updateSelectionModel()

  Updates the current selection model with the selector's value

  Returns:
    true if and update occurs, false otherwise

### setComponentSelectorCommand

    public void setComponentSelectorCommand(BaseSelectorCommand component,
                                            java.lang.String key)

  Description copied from interface: `CompositeDataSelectorCommandInterface`
  Adds a data selector command to the list of children commands with a specific key

  Specified by:
    `setComponentSelectorCommand` in interface `CompositeDataSelectorCommandInterface`
  Parameters:
    `component` - the data selector command to add to the list of children

### getComponentSelectorCommand

    public BaseSelectorCommand getComponentSelectorCommand(java.lang.String key)

  Description copied from interface: `CompositeDataSelectorCommandInterface`
  Returns the child data selector command that has been stored into the children's list with a specific key

  Specified by:
    `getComponentSelectorCommand` in interface `CompositeDataSelectorCommandInterface`
  Parameters:
    `key` - the key to retrieve the child data selector command into the list of children commands
  Returns:
    the child data selector command has been stored into the children list with a specific key, null if there's no such key into the children's list

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Description copied from interface: `CommandSupportedInterface`

  Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    a boolean indicating whether the command is supported
  See Also:
    `BaseAction.setReturnStatus(int)`

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Description copied from interface: `CommandStatusInterface`
  Returns a status value indicating whether the command is enabled for a specific area as described by various filter attributes.

  If enabled, the value is: ``CommandStatusInterface.ENABLED``

  If disabled, the value may be one of the following values which indicate why the command is disabled.

  - ``CommandStatusInterface.MODEL_TYPE_DISABLED``
  - ``CommandStatusInterface.MODEL_STATE_DISABLED``
  - ``CommandStatusInterface.MODEL_MEMBER_DISABLED``
  - ``CommandStatusInterface.IS_CURRENT_STATE_DISABLED``
  - ``CommandStatusInterface.DISABLED``

  Specified by:
    `getCommandStatus` in interface `CommandStatusInterface`
  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.
  See Also:
    `BaseAction.setReturnStatus(int)`

### setCommonAttribute

    public void setCommonAttribute(java.lang.String attributeName,
                                   java.lang.Object attributeValue)

  Description copied from interface: `CompositeDynamicAttributeCommandInterface`
  Sets the specified attribute on all sub-commands.

  For use when all sub-commands need the same attribute set with the same value.

  Specified by:
    `setCommonAttribute` in interface `CompositeDynamicAttributeCommandInterface`
  Parameters:
    `attributeName` - The name of the attribute to set on all sub-commands.
    `attributeValue` - The value of the attribute.

### getCommandAttributeNames

    public java.util.Collection getCommandAttributeNames()

  Description copied from interface: `CompositeDynamicAttributeCommandInterface`
  Returns a collection containing the names of all the composite command's dynamic attributes.

  Specified by:
    `getCommandAttributeNames` in interface `CompositeDynamicAttributeCommandInterface`
  Returns:
    a collection of command attribute names.

### getPeriodType

    public java.lang.String getPeriodType()

### setPeriodType

    public void setPeriodType(java.lang.String value)

### getNumberOfPeriods

    public java.lang.String getNumberOfPeriods()

### setNumberOfPeriods

    public void setNumberOfPeriods(java.lang.String value)

### getSelectOption

    public java.lang.String getSelectOption()

### setSelectOption

    public void setSelectOption(java.lang.String value)

### getStartingPeriodOption

    public java.lang.String getStartingPeriodOption()

### setStartingPeriodOption

    public void setStartingPeriodOption(java.lang.String value)

### getEndingPeriodOption

    public java.lang.String getEndingPeriodOption()

### setEndingPeriodOption

    public void setEndingPeriodOption(java.lang.String value)

### getSelectedPeriods

    public java.lang.String[] getSelectedPeriods()

### setSelectedPeriods

    public void setSelectedPeriods(java.lang.String[] values)

### getShowOption

    public java.lang.String getShowOption()

### setShowOption

    public void setShowOption(java.lang.String value)

### getSelectedStartingPeriod

    public java.lang.String getSelectedStartingPeriod()

### setSelectedStartingPeriod

    public void setSelectedStartingPeriod(java.lang.String value)

### getSelectedEndingPeriod

    public java.lang.String getSelectedEndingPeriod()

### setSelectedEndingPeriod

    public void setSelectedEndingPeriod(java.lang.String value)

### setRemoteAction

    public void setRemoteAction(java.lang.String value)

### getRemoteAction

    public java.lang.String getRemoteAction()

### setWhereCheckbox

    public void setWhereCheckbox(java.lang.String value)

  Sets the state value for the 'where' checkbox.

  Parameters:
    `value` - the state of the 'where' checkbox

### getWhereCheckbox

    public java.lang.String getWhereCheckbox()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.